\documentclass{beamer}
\usepackage[utf8]{inputenc}
\usetheme{Warsaw}
\usepackage{blkarray}

\title{Multisource Rumor Spreading\\~with Network Coding}
\author{Quentin Dufour\\~advised by David Bromberg and Davide Frey}\institute{WIDE Seminar}

\begin{document}

%\begin{frame}
%  \titlepage
%\end{frame}

\begin{frame}
  \frametitle{Introduction: Gossip and Dissemination}
  
  \begin{columns}
  \begin{column}{.5\textwidth}
    \begin{description}[align=left]
      \item [Gossip] Each nodes exchange information with its $k$ neighbours
      \item [Dissemination] Send a message to everyone in the network
      \item [Complete Dissemination] Every nodes in the network have received the message
    \end{description}
  \end{column}
  \begin{column}{.5\textwidth}
    \includegraphics[width=\textwidth]{gossip2.png}
  	  \[n = 6\]
  \end{column}
  \end{columns}
\end{frame}

\begin{frame}
  \frametitle{Network Coding, the intuition}
  \[ n = 5, |m| = 2 \]
  \begin{columns}
  \begin{column}{.4\textwidth}
    \begin{center}
    \includegraphics[width=0.8\textwidth]{butterfly1.png}

    8 packets
    \end{center}
  \end{column}
  \begin{column}{.4\textwidth}
    \begin{center}
    \includegraphics[width=0.8\textwidth]{butterfly3.png}
    
    6 packets
    \end{center}
  \end{column}
  \end{columns}
\end{frame}

\begin{frame}
\frametitle{Impact of latency}

  \begin{center}
    \includegraphics[width=0.6\textwidth]{min-graph.png}
  \end{center}
\end{frame}

\end{document}
